import { AlertPopupComponent } from './alert-popup.component';
import { DomService } from '../../services/dom.service';
import * as i0 from "@angular/core";
export declare class AlertPopupService {
    private domService;
    constructor(domService: DomService);
    open(config: AlertPopupConfig): AlertPopupComponent;
    private getComponentRef;
    static ɵfac: i0.ɵɵFactoryDeclaration<AlertPopupService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<AlertPopupService>;
}
export interface AlertPopupConfig {
    message: string;
    title?: string;
    icon?: string;
    color?: string;
    position?: string;
    duration?: number;
    extraClasses?: string;
    fullsize?: boolean;
    opacity?: boolean;
    small?: boolean;
    closeButton?: boolean;
}
