import { AfterViewInit, ElementRef, EventEmitter, OnInit } from '@angular/core';
import { FormGroupDirective } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class ButtonComponent implements OnInit, AfterViewInit {
    private type;
    private formGroup;
    extraClasses: string;
    label: string;
    icon: string;
    isLoadingSvg: boolean;
    iconNext: string;
    textcolor: any;
    colorIcon: string;
    widthAuto: boolean;
    contentHorizontalPosition: 'left' | 'center' | 'right';
    iconFontSize: number;
    hasLoader: boolean;
    disabled: boolean;
    whiteSpaceNowrap: boolean;
    opacity: boolean;
    animation: boolean;
    animationRight: boolean;
    animationText: string;
    confirmDelete: boolean;
    confirmDeleteText: string;
    coin: number | string;
    tooltip: string;
    tooltipWidth: string;
    borderColor: string;
    noPadding: boolean;
    tooltipPosition: 'top-center' | 'top-right' | 'top-left' | 'bottom-center' | 'bottom-right' | 'bottom-left' | 'left' | 'right';
    tooltipOneline: boolean;
    confirmDeletePosition: string;
    click: EventEmitter<MouseEvent>;
    set isLoading(isLoading: boolean);
    isLoadingChange: EventEmitter<boolean>;
    get isLoading(): boolean;
    private _isLoading;
    interval: any;
    waitForConfirmDelete: boolean;
    buttonMaxWidth: string;
    buttonWidth: string;
    buttonMaxWidthDelete: string;
    buttonWidthDelete: string;
    currentLoading: number;
    calculWidth: ElementRef;
    calculWidthDelete: ElementRef;
    constructor(type: string, formGroup: FormGroupDirective);
    ngOnInit(): void;
    toggleLoading(): void;
    onButtonClickLoader(): void;
    addMaxWidth(): void;
    resetMaxWidth(): void;
    addMaxWidthDelete(): void;
    resetMaxWidthDelete(): void;
    onButtonClick(event: any): void;
    ngAfterViewInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ButtonComponent, [{ attribute: "type"; }, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ButtonComponent, "wac-button", never, { "extraClasses": "extraClasses"; "label": "label"; "icon": "icon"; "isLoadingSvg": "isLoadingSvg"; "iconNext": "iconNext"; "textcolor": "textcolor"; "colorIcon": "colorIcon"; "widthAuto": "widthAuto"; "contentHorizontalPosition": "contentHorizontalPosition"; "iconFontSize": "iconFontSize"; "hasLoader": "hasLoader"; "disabled": "disabled"; "whiteSpaceNowrap": "whiteSpaceNowrap"; "opacity": "opacity"; "animation": "animation"; "animationRight": "animationRight"; "animationText": "animationText"; "confirmDelete": "confirmDelete"; "confirmDeleteText": "confirmDeleteText"; "coin": "coin"; "tooltip": "tooltip"; "tooltipWidth": "tooltipWidth"; "borderColor": "borderColor"; "noPadding": "noPadding"; "tooltipPosition": "tooltipPosition"; "tooltipOneline": "tooltipOneline"; "confirmDeletePosition": "confirmDeletePosition"; "isLoading": "isLoading"; }, { "click": "click"; "isLoadingChange": "isLoadingChange"; }, never, never, false, never>;
}
