import { EventEmitter } from "@angular/core";
import { ControlValueAccessor } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class ColorPickerComponent implements ControlValueAccessor {
    label: string;
    value: string;
    gap: string;
    fontSize: string;
    id: string;
    info: string;
    colorChange: EventEmitter<string>;
    constructor();
    onChange: any;
    onTouched: any;
    writeValue(value: string): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setValue(event: any): void;
    changeColor(color: string): void;
    isValidColor(color: string): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<ColorPickerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ColorPickerComponent, "wac-color-picker", never, { "label": "label"; "value": "value"; "gap": "gap"; "fontSize": "fontSize"; "id": "id"; "info": "info"; }, { "colorChange": "colorChange"; }, never, never, false, never>;
}
