import { AfterViewInit, ChangeDetectorRef, EventEmitter } from '@angular/core';
import { AccordionItem } from '../accordion/accordion-item.interface';
import { ExpansionPanelHeader } from '../expansion-panel-header/expansion-panel-header.interface';
import * as i0 from "@angular/core";
export declare class ExpansionPanelDirective implements AccordionItem, AfterViewInit {
    protected changeDetectorRef: ChangeDetectorRef;
    header: ExpansionPanelHeader;
    set disabled(disabled: boolean);
    get disabled(): boolean;
    _disabled: boolean;
    set hideToggle(hideToggle: boolean);
    get hideToggle(): boolean;
    _hideToggle: boolean;
    set isExpanded(isExpanded: boolean);
    get isExpanded(): boolean;
    _isExpanded: boolean;
    isExpandedChange: EventEmitter<boolean>;
    expandChange: EventEmitter<void>;
    constructor(changeDetectorRef: ChangeDetectorRef);
    ngAfterViewInit(): void;
    close(): void;
    open(): void;
    toggle(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ExpansionPanelDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<ExpansionPanelDirective, "[wacExpansionPanel]", never, { "disabled": "disabled"; "hideToggle": "hideToggle"; "isExpanded": "isExpanded"; }, { "isExpandedChange": "isExpandedChange"; }, ["header"], never, false, never>;
}
