import { EventEmitter } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class InputComponent implements ControlValueAccessor {
    label: string;
    value: string;
    type: string;
    placeholder: string;
    textInfo: any;
    textError: any;
    size: any;
    isNumber: any;
    withoutBlock: boolean;
    icon: string;
    big: boolean;
    medium: boolean;
    boldLabel: string;
    min: any;
    max: any;
    disableMargin: boolean;
    textPrepend: any;
    textAppend: any;
    progressBar: boolean;
    extraClasses: string;
    keyPreventDefault: any[];
    showTooltip: boolean;
    textTooltip: string;
    iconTooltip: string;
    urlTooltip: string;
    linkTooltip: string;
    padding: boolean;
    disabled: boolean;
    indication: string;
    success: boolean;
    error: boolean;
    maxlength: number | string;
    minlength: number | string;
    indicationLeft: boolean;
    keypressEnter: EventEmitter<boolean>;
    blurred: EventEmitter<void>;
    private KEYPRESS_ENTER;
    id: string;
    private _onChange;
    private _onTouched;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState(isDisabled: boolean): void;
    writeValue(obj: any): void;
    onChange(value: string): void;
    onBlur(): void;
    checkNumberValue(value: any): void;
    onFocusOut(): void;
    keyPress(event: KeyboardEvent): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<InputComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<InputComponent, "wac-input", never, { "label": "label"; "value": "value"; "type": "type"; "placeholder": "placeholder"; "textInfo": "textInfo"; "textError": "textError"; "size": "size"; "isNumber": "isNumber"; "withoutBlock": "withoutBlock"; "icon": "icon"; "big": "big"; "medium": "medium"; "boldLabel": "boldLabel"; "min": "min"; "max": "max"; "disableMargin": "disableMargin"; "textPrepend": "textPrepend"; "textAppend": "textAppend"; "progressBar": "progressBar"; "extraClasses": "extraClasses"; "keyPreventDefault": "keyPreventDefault"; "showTooltip": "showTooltip"; "textTooltip": "textTooltip"; "iconTooltip": "iconTooltip"; "urlTooltip": "urlTooltip"; "linkTooltip": "linkTooltip"; "padding": "padding"; "disabled": "disabled"; "indication": "indication"; "success": "success"; "error": "error"; "maxlength": "maxlength"; "minlength": "minlength"; "indicationLeft": "indicationLeft"; }, { "keypressEnter": "keypressEnter"; "blurred": "blurred"; }, never, never, true, never>;
}
