import { RadioGroupDirective } from './radio-group.directive';
import { ValueChangeService } from '../select/select/value-change.service';
import { LabelComponent } from '../common/label/label.component';
import * as i0 from "@angular/core";
export declare class RadioComponent<TOptionValue> extends RadioGroupDirective<TOptionValue> {
    protected valueChangeService: ValueChangeService<TOptionValue>;
    label: LabelComponent;
    constructor(valueChangeService: ValueChangeService<TOptionValue>);
    static ɵfac: i0.ɵɵFactoryDeclaration<RadioComponent<any>, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RadioComponent<any>, "wac-radio", never, {}, {}, ["label"], ["wac-label, .wac-label", "*"], false, never>;
}
