import { AfterContentInit, ElementRef, OnInit } from '@angular/core';
import * as i0 from "@angular/core";
export declare class RowComponent implements OnInit, AfterContentInit {
    colPosition: string;
    rowPosition: string;
    position: 'top-left' | 'top-middle' | 'top-right' | 'middle-left' | 'middle-middle' | 'middle-right' | 'bottom-left' | 'bottom-middle' | 'bottom-right' | 'stretch-left' | 'stretch-middle' | 'stretch-right';
    id: string;
    childs: number;
    classWidth: string;
    responsiveClass: string;
    width: string;
    height: string;
    responsiveAuto: boolean;
    childrensWidthAuto: boolean;
    visibility: 'mobile-only' | 'tablet-only' | 'desktop-only' | 'under-desktop' | 'above-mobile';
    marginChild: string;
    marginBottom: string;
    marginBottomChild: string;
    addWacBlock: boolean;
    lineDisplayContent: boolean;
    border: boolean;
    multipleLine: boolean;
    childrenByLine: number;
    padding: string;
    gap: string;
    lastChildIsDown: boolean;
    addClass: string;
    halfMarginChild: string;
    container: ElementRef;
    nbChildsClass: string;
    ngOnInit(): void;
    responsiveControl(size: any): void;
    handleResponsiveAuto(size: any): void;
    onResize(): void;
    actionsDom(): void;
    ngAfterContentInit(): void;
    handleDomChange(event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<RowComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RowComponent, "wac-row", never, { "colPosition": "colPosition"; "rowPosition": "rowPosition"; "position": "position"; "width": "width"; "height": "height"; "responsiveAuto": "responsiveAuto"; "childrensWidthAuto": "childrensWidthAuto"; "visibility": "visibility"; "marginChild": "marginChild"; "marginBottom": "marginBottom"; "marginBottomChild": "marginBottomChild"; "addWacBlock": "addWacBlock"; "lineDisplayContent": "lineDisplayContent"; "border": "border"; "multipleLine": "multipleLine"; "childrenByLine": "childrenByLine"; "padding": "padding"; "gap": "gap"; "lastChildIsDown": "lastChildIsDown"; "addClass": "addClass"; }, {}, never, ["*"], false, never>;
}
