import { EventEmitter, OnInit } from '@angular/core';
import { SearchOption } from './shared/search-option.model';
import * as i0 from "@angular/core";
export declare class SearchComponent implements OnInit {
    placeholder: string;
    alwaysOpen: boolean;
    label: string;
    options: SearchOption[];
    disableSearchIn: boolean;
    emptyResult: string;
    search: any;
    openSelect: boolean;
    triggerOptions: SearchOption[];
    selectValue: EventEmitter<number>;
    searchKeyUp: EventEmitter<string>;
    searchFocusOut: EventEmitter<string>;
    constructor();
    ngOnInit(): void;
    onClose(): void;
    setSearchValueToQuery(value: any): void;
    sendEventFocusOut(): void;
    closeSelect(): void;
    onSelectItem(index: number, value: number, label: string): void;
    resetAllVue(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SearchComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SearchComponent, "wac-search", never, { "placeholder": "placeholder"; "alwaysOpen": "alwaysOpen"; "label": "label"; "options": "options"; "disableSearchIn": "disableSearchIn"; "emptyResult": "emptyResult"; }, { "selectValue": "selectValue"; "searchKeyUp": "searchKeyUp"; "searchFocusOut": "searchFocusOut"; }, never, never, false, never>;
}
