import { EventEmitter, OnInit } from '@angular/core';
import { CalllToAction } from '../select/call-to-action.model';
import { SelectItem } from '../select/select-items.dto';
import * as i0 from "@angular/core";
export declare class SelectInTextComponent implements OnInit {
    set items(items: SelectItem[]);
    get items(): SelectItem[];
    private _items;
    placeholder: string;
    label: string;
    maxWidthItems: string;
    type: string;
    callToAction: CalllToAction;
    preText: string;
    postText: string;
    alwaysOpen: boolean;
    openCategories: boolean;
    currentLabel: string;
    currentLabelIcon: string;
    maxWidth: string;
    selectValue: EventEmitter<number>;
    clickOnCallToAction: EventEmitter<any>;
    constructor();
    ngOnInit(): void;
    setInitialValues(): void;
    onClose(): void;
    customTB(index: number, item: SelectItem): number;
    onSelectItem(index: number): void;
    onClickCallToAction(): void;
    private getItemSelected;
    private setCurrentItem;
    private unselectAll;
    static ɵfac: i0.ɵɵFactoryDeclaration<SelectInTextComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SelectInTextComponent, "wac-select-in-text", never, { "items": "items"; "placeholder": "placeholder"; "label": "label"; "maxWidthItems": "maxWidthItems"; "type": "type"; "callToAction": "callToAction"; "preText": "preText"; "postText": "postText"; "alwaysOpen": "alwaysOpen"; "maxWidth": "maxWidth"; }, { "selectValue": "selectValue"; "clickOnCallToAction": "clickOnCallToAction"; }, never, never, false, never>;
}
