import { ElementRef, EventEmitter } from "@angular/core";
export interface OptionSelectionHandler<TOptionValue> {
    value: TOptionValue;
    selected: boolean;
    selectedChange: EventEmitter<boolean>;
    getContentRef(): ElementRef<any>;
    setDisabledState(isDisabled: boolean): void;
    setSelected(selected: boolean): void;
    setMultiple(multiple: boolean): void;
}
