import { EventEmitter } from '@angular/core';
import * as i0 from "@angular/core";
export declare class SlideInComponent {
    title: string;
    subtitle: string;
    isOpen: boolean;
    hasButton: boolean;
    primaryButtonText: string;
    secondaryButtonText: string;
    maxWidth: string | null;
    closed: EventEmitter<void>;
    primaryButtonClick: EventEmitter<void>;
    secondaryButtonClick: EventEmitter<void>;
    /**
     * Ouvre le panneau coulissant
     */
    open(): void;
    /**
     * Ferme le panneau coulissant
     */
    close(): void;
    /**
     * Gère le clic sur le bouton primaire
     */
    onPrimaryButtonClick(): void;
    /**
     * Gère le clic sur le bouton secondaire
     */
    onSecondaryButtonClick(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SlideInComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SlideInComponent, "wac-slide-in", never, { "title": "title"; "subtitle": "subtitle"; "isOpen": "isOpen"; "hasButton": "hasButton"; "primaryButtonText": "primaryButtonText"; "secondaryButtonText": "secondaryButtonText"; "maxWidth": "maxWidth"; }, { "closed": "closed"; "primaryButtonClick": "primaryButtonClick"; "secondaryButtonClick": "secondaryButtonClick"; }, never, ["*"], false, never>;
}
