import { ComponentFactoryResolver, EventEmitter, Renderer2, ElementRef, ApplicationRef, Injector } from '@angular/core';
import { TableCheckboxIdService } from '../shared/table-checkbox-id.service';
import * as i0 from "@angular/core";
export declare class CheckBoxRow {
    private currentRow;
    private appRef;
    private renderer;
    private document;
    private resolver;
    private injector;
    private tableCheckboxIdService;
    checkBoxId: string | number;
    checkBoxName: string;
    set checkBoxValue(value: boolean);
    _value: boolean;
    get checkBoxValue(): boolean;
    checkBoxValueChange: EventEmitter<boolean>;
    private checkboxComponentRef;
    private htmlContainer;
    private checkBoxElement;
    constructor(currentRow: ElementRef, appRef: ApplicationRef, renderer: Renderer2, document: any, resolver: ComponentFactoryResolver, injector: Injector, tableCheckboxIdService: TableCheckboxIdService);
    ngOnInit(): void;
    createCheckBoxComponent(): void;
    private handleChecboxInputs;
    private setCheckBoxValue;
    private handleCheckboxOutputs;
    private _toggleCheckbox;
    getElement(): any;
    isActive(): boolean;
    setActive(isActive: boolean): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CheckBoxRow, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<CheckBoxRow, "[checkBoxRow]", never, { "checkBoxId": "checkBoxId"; "checkBoxName": "checkBoxName"; "checkBoxValue": "checkBoxValue"; }, { "checkBoxValueChange": "checkBoxValueChange"; }, never, never, false, never>;
}
