import { EventEmitter } from '@angular/core';
import { Renderer2 } from '@angular/core';
import { ElementRef } from '@angular/core';
import { FiltersTableService } from '../shared/filters-table.service';
import { TableFilters } from '../shared/table-filters.model';
import * as i0 from "@angular/core";
export declare class TableColumnHeader {
    private currentCell;
    private renderer;
    private document;
    private filtersTableService;
    set headerName(value: string);
    _headerName: string;
    get headerName(): string;
    columnSize: string;
    filterRouting: boolean;
    tableName: string;
    sortName: string;
    centerCell: 'left' | 'center' | 'right';
    onSortChange: EventEmitter<boolean>;
    tableFilters: TableFilters;
    tableFiltersChange: EventEmitter<TableFilters>;
    private centerCellValue;
    private contentHeader;
    private filterGroup;
    private subscriptions;
    constructor(currentCell: ElementRef, renderer: Renderer2, document: any, filtersTableService: FiltersTableService);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    handleSortRouting(): void;
    handleSortBasic(): void;
    resetSortIcon(): void;
    applyCustomStylesOnCell(): void;
    renderHeaderColumn(): void;
    createHeaderContent(): void;
    private setHeaderName;
    handleSort(): void;
    getInitialSortIcon(): string;
    getCurrentSortIcon(): string;
    emitEvents(newSort: any, newOrder: any): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TableColumnHeader, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TableColumnHeader, "[headerCell]", never, { "headerName": "headerName"; "columnSize": "columnSize"; "filterRouting": "filterRouting"; "tableName": "tableName"; "sortName": "sortName"; "centerCell": "centerCell"; "tableFilters": "tableFilters"; }, { "onSortChange": "onSortChange"; "tableFiltersChange": "tableFiltersChange"; }, never, never, false, never>;
}
