import { NwbFilterGroup } from "@wizishop/ng-wizi-bulma";
import { Observable, ReplaySubject } from "rxjs";
import { TableFilters } from "./table-filters.model";
export declare class TableFiltersGroup extends NwbFilterGroup {
    tableFiltersValuesChange$: ReplaySubject<TableFilters>;
    tableFiltersValuesDebouncedChange$: Observable<TableFilters>;
    set(key: "sort" | "order" | "searchValue" | "totalItems" | "itemsPerPage" | "currentPage", value: any): void;
    resetToFirstPage(): void;
}
