import { AfterViewInit, ElementRef, QueryList, Renderer2 } from '@angular/core';
import { Subject } from 'rxjs';
import { BlockSeparatorComponent } from './separator/block-separator.component';
import * as i0 from "@angular/core";
export type WacBlockConfig = Readonly<{
    borderRadius?: string;
}>;
export declare class BlockComponent implements AfterViewInit {
    private renderer2;
    private wacBlockElementRef;
    blockSeparators: QueryList<BlockSeparatorComponent>;
    config: WacBlockConfig;
    get borderRadius(): string;
    destroy$: Subject<void>;
    constructor(renderer2: Renderer2, wacBlockElementRef: ElementRef);
    ngAfterViewInit(): void;
    private handleRemovedSeparator;
    private fusionNextBlockWithCurrentBlock;
    private handleAddedSeparator;
    private hasBlockSeparator;
    private attachSeparatedBlocksToTheDom;
    private attachToTheDom;
    private getSeparatedGroupedOfNodes;
    ngOnDesTroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BlockComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BlockComponent, "wac-block", never, { "config": "config"; }, {}, ["blockSeparators"], ["*"], true, never>;
}
