import { EventEmitter, OnInit, AfterViewInit } from "@angular/core";
import { ControlValueAccessor } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class BorderPickerComponent implements ControlValueAccessor, OnInit, AfterViewInit {
    label: string;
    gap: string;
    fontSize: string;
    disabled: boolean;
    value: string;
    maxPixels: number;
    blurred: EventEmitter<void>;
    borderRadiusChange: EventEmitter<string>;
    sliderValue: number;
    constructor();
    onChange: any;
    onTouched: any;
    ngOnInit(): void;
    writeValue(value: string | null): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setValue(event: any): void;
    private updateSliderPercentage;
    ngAfterViewInit(): void;
    onFocusOut(): void;
    updateBorderRadius(value: number): void;
    setBorderRadius(value: number): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BorderPickerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BorderPickerComponent, "wac-border-picker", never, { "label": "label"; "gap": "gap"; "fontSize": "fontSize"; "disabled": "disabled"; "value": "value"; "maxPixels": "maxPixels"; }, { "blurred": "blurred"; "borderRadiusChange": "borderRadiusChange"; }, never, never, true, never>;
}
