import { EventEmitter } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class CheckboxComponent implements ControlValueAccessor {
    label: string;
    set value(value: boolean);
    get value(): boolean;
    _value: boolean;
    type: 'checkbox' | 'radio';
    alone: boolean;
    checked: boolean;
    hasInput: boolean;
    inputPlaceholder: string;
    id: string;
    name: string;
    whiteSpace: boolean;
    disabled: boolean;
    valueChange: EventEmitter<boolean>;
    constructor();
    private _onChange;
    private _onTouched;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState(isDisabled: boolean): void;
    writeValue(isChecked: boolean): void;
    onChange(value: any): void;
    inputClick($event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CheckboxComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CheckboxComponent, "wac-checkbox", never, { "label": "label"; "value": "value"; "type": "type"; "alone": "alone"; "checked": "checked"; "hasInput": "hasInput"; "inputPlaceholder": "inputPlaceholder"; "id": "id"; "name": "name"; "whiteSpace": "whiteSpace"; "disabled": "disabled"; }, { "valueChange": "valueChange"; }, never, never, false, never>;
}
