import { AfterViewInit, OnDestroy, QueryList } from '@angular/core';
import { AccordionItem } from './accordion-item.interface';
import * as i0 from "@angular/core";
export declare class AccordionComponent implements AfterViewInit, OnDestroy {
    class: string;
    expansionItems: QueryList<AccordionItem>;
    keepOnlyOnePanelOpen: boolean;
    private isDestroyed$;
    private resetListeners$;
    constructor();
    openAll(): void;
    closeAll(): void;
    ngAfterViewInit(): void;
    private panelExpansionChanges;
    private keepOnlyOnePanelOpenHandler;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AccordionComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AccordionComponent, "wac-accordion", never, { "keepOnlyOnePanelOpen": "keepOnlyOnePanelOpen"; }, {}, ["expansionItems"], ["*"], false, never>;
}
