import { EventEmitter, OnInit } from '@angular/core';
import { MultipleSearchPlusOption } from './shared/multiple-search-plus-option.model';
import { MultipleSearchPlusResults } from './shared/multiple-search-plus-results.model';
import * as i0 from "@angular/core";
export declare class MultipleSearchPlusComponent implements OnInit {
    currentOption: number;
    label: string;
    placeholder: string;
    openSelect: boolean;
    openSearchResults: boolean;
    isLoading: boolean;
    options: MultipleSearchPlusOption[];
    searchResults: MultipleSearchPlusResults[];
    disabled: boolean | string;
    hideResults: boolean | string;
    searchValue: EventEmitter<any>;
    optionsChange: EventEmitter<any>;
    constructor();
    ngOnInit(): void;
    setSearchValue(value: any): void;
    setCurrentOption(value?: number): void;
    setPlaceholder(value?: number): void;
    setLabel(value?: number): void;
    onToggleSelect(): void;
    closeSelect(): void;
    closeSearchResults(): void;
    resetAllVue(value: number): void;
    addResult(index: number): void;
    deleteResult(indexItem: number, index: number): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<MultipleSearchPlusComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MultipleSearchPlusComponent, "wac-multiple-search-plus", never, { "options": "options"; "searchResults": "searchResults"; "disabled": "disabled"; "hideResults": "hideResults"; }, { "searchValue": "searchValue"; "optionsChange": "optionsChange"; }, never, never, false, never>;
}
