import { OnInit } from '@angular/core';
import { TranslateService } from '@ngx-translate/core';
import * as i0 from "@angular/core";
export declare class MultipleSearchComponent implements OnInit {
    private translateService;
    options: any[];
    alwaysOpen: boolean;
    label: string;
    placeholder: string;
    icon: string;
    query: string;
    search: any;
    openSelect: boolean;
    error: string;
    showError: boolean;
    constructor(translateService: TranslateService);
    ngOnInit(): void;
    setSearchValueToQuery(value: any): void;
    submitForm(): void;
    setPlaceholder(value?: any): void;
    setLabel(value?: any): void;
    setQuery(value?: any): void;
    displayError(): void;
    hideError(): void;
    setIcon(value?: any): void;
    openFuncSelect(): void;
    closeSelect(): void;
    resetAllVue(value: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<MultipleSearchComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MultipleSearchComponent, "wac-multiple-search", never, { "options": "options"; "alwaysOpen": "alwaysOpen"; }, {}, never, never, false, never>;
}
