import { EventEmitter } from '@angular/core';
import * as i0 from "@angular/core";
export interface PaginationFilters {
    totalItems: number;
    itemsPerPage: number;
    currentPage: number;
}
export declare class PaginationComponent {
    set pagination(pagination: PaginationFilters);
    get pagination(): PaginationFilters;
    private _pagination;
    pageChange: EventEmitter<PaginationFilters>;
    constructor();
    decrementPage(): void;
    incrementPage(): void;
    onGotoPageChange(event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PaginationComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PaginationComponent, "wac-pagination", never, { "pagination": "pagination"; }, { "pageChange": "pageChange"; }, never, never, false, never>;
}
