import { EventEmitter, OnInit } from '@angular/core';
import { DomService } from '../../services/dom.service';
import * as i0 from "@angular/core";
export declare class PopinComponent implements OnInit {
    private domService;
    title: string;
    content: string;
    imgSrc: string;
    okButtonLabel: string;
    koButtonLabel: string;
    okButtonClass: string;
    koButtonClass: string;
    visible: boolean;
    visibleChange: EventEmitter<any>;
    response: EventEmitter<any>;
    background: boolean;
    closeOnBackgroundClick: boolean;
    firstOpen: boolean;
    constructor(domService: DomService);
    ngOnInit(): void;
    validatePopin(): void;
    refusePopin(): void;
    closePopin(clickOnBackground?: boolean): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PopinComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PopinComponent, "wac-popin", never, { "title": "title"; "content": "content"; "imgSrc": "imgSrc"; "okButtonLabel": "okButtonLabel"; "koButtonLabel": "koButtonLabel"; "okButtonClass": "okButtonClass"; "koButtonClass": "koButtonClass"; "visible": "visible"; "background": "background"; "closeOnBackgroundClick": "closeOnBackgroundClick"; }, { "visibleChange": "visibleChange"; "response": "response"; }, never, never, false, never>;
}
