import { EventEmitter } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class RadioLegacyComponent implements ControlValueAccessor {
    label: string;
    options: Array<any>;
    value: any;
    type: string;
    id: string;
    name: string;
    alone: boolean;
    changeInput: EventEmitter<any>;
    disabled: boolean;
    constructor();
    private _onChange;
    private _onTouched;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState(isDisabled: boolean): void;
    writeValue(obj: any): void;
    onChange(value: any): void;
    valueInput(value: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<RadioLegacyComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RadioLegacyComponent, "wac-radio-legacy", never, { "label": "label"; "options": "options"; "value": "value"; "type": "type"; "id": "id"; "name": "name"; "alone": "alone"; }, { "changeInput": "changeInput"; }, never, never, false, never>;
}
