import { EventEmitter, OnInit } from '@angular/core';
import { SelectedListOption } from './shared/selected-list-option.model';
import * as i0 from "@angular/core";
export declare class SelectedListComponent implements OnInit {
    options: SelectedListOption[];
    label: string;
    textSelectAll: string;
    textUnSelectAll: string;
    enableSelectAll: boolean;
    selectedItemsIndex: EventEmitter<number>;
    selectedItemsAll: EventEmitter<number[]>;
    unSelectedItemsAll: EventEmitter<number[]>;
    selectedOptionIndex: any[];
    ngOnInit(): void;
    onSelectAll(): void;
    onUnSelectAll(): void;
    onSelectItem(index: number): void;
    areAllOptionsChecked(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<SelectedListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SelectedListComponent, "wac-selected-list", never, { "options": "options"; "label": "label"; "textSelectAll": "textSelectAll"; "textUnSelectAll": "textUnSelectAll"; "enableSelectAll": "enableSelectAll"; }, { "selectedItemsIndex": "selectedItemsIndex"; "selectedItemsAll": "selectedItemsAll"; "unSelectedItemsAll": "unSelectedItemsAll"; }, never, never, false, never>;
}
