import { ChangeDetectorRef, EventEmitter, OnInit } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class SwitchComponent implements OnInit, ControlValueAccessor {
    private changeDetectorRef;
    value: boolean;
    textState: string;
    textStateAfter: string;
    textStateEnable: string;
    textStateDisable: string;
    showInput: boolean;
    placholderInput: string;
    danger: boolean;
    whiteSpace: boolean;
    inverted: boolean;
    switchChange: EventEmitter<any>;
    changeInput: EventEmitter<any>;
    valueInput: string;
    id: string;
    disabled: boolean;
    constructor(changeDetectorRef: ChangeDetectorRef);
    ngOnInit(): void;
    changeValue(event: any): void;
    triggerInput(): void;
    private onChange;
    writeValue(value: boolean): void;
    registerOnChange(onChange: any): void;
    onBlur(): void;
    private onTouched;
    registerOnTouched(onTouched: any): void;
    setDisabledState(disabled: boolean): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SwitchComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SwitchComponent, "wac-switch", never, { "value": "value"; "textState": "textState"; "textStateAfter": "textStateAfter"; "textStateEnable": "textStateEnable"; "textStateDisable": "textStateDisable"; "showInput": "showInput"; "placholderInput": "placholderInput"; "danger": "danger"; "whiteSpace": "whiteSpace"; "inverted": "inverted"; }, { "switchChange": "switchChange"; "changeInput": "changeInput"; }, never, ["*"], false, never>;
}
