import { BehaviorSubject } from "rxjs";
import { TableFilters } from "./table-filters.model";
/**
 * Avoid to fetch data when totalItems change
 * @returns
 */
export declare function distinctUntilTableFiltersChanged(): import("rxjs").MonoTypeOperatorFunction<TableFilters>;
export declare function updateTableFiltersTotalItems<TResponse extends {
    totalItems: number;
}>(tableFilters$: BehaviorSubject<TableFilters>, totalItems?: number): import("rxjs").MonoTypeOperatorFunction<TResponse>;
