import { NwbFilterGroup, NwbFilterRoutingBuilder } from '@wizishop/ng-wizi-bulma';
import { TableFiltersGroup } from './table-filters-group.model';
import * as i0 from "@angular/core";
export declare class FiltersTableService {
    private filterRoutingBuilder;
    filterGroups: Map<string, NwbFilterGroup>;
    private sortSubject;
    constructor(filterRoutingBuilder: NwbFilterRoutingBuilder);
    getTableFilterGroup(dataTableName: string): TableFiltersGroup;
    /**
     * Use to reset the others sorts of the table
     * @param dataTableName
     * @param sortName
     * @param order
     */
    emitSortChange(dataTableName: string, sortName: string, order: boolean): void;
    getSortChangeListner(): import("rxjs").Observable<any>;
    setPaginationFilters(dataTableName: any, totalItems: any, itemsPerPage: any, currentPage: any): void;
    setInitialPaginationFiltersIfNotExist(dataTableName: any, itemsPerPage: any, currentPage: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FiltersTableService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<FiltersTableService>;
}
