import { TemplatePortal } from '@angular/cdk/portal';
import { ChangeDetectorRef, OnInit, TemplateRef, ViewContainerRef } from '@angular/core';
import * as i0 from "@angular/core";
export declare class TabComponent implements OnInit {
    private changeDetectorRef;
    private viewContainerRef;
    label: string;
    set selected(value: boolean);
    get selected(): boolean;
    private _selected;
    private contentPortal;
    get content(): TemplatePortal | null;
    private _explicitContent;
    _implicitContent: TemplateRef<any>;
    constructor(changeDetectorRef: ChangeDetectorRef, viewContainerRef: ViewContainerRef);
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TabComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TabComponent, "wac-tab", never, { "label": "label"; "selected": "selected"; }, {}, ["_explicitContent"], ["*"], true, never>;
}
