import { ChangeDetectorRef, QueryList, AfterViewInit } from '@angular/core';
import { TabComponent } from './tab/tab.component';
import { BehaviorSubject, ReplaySubject } from 'rxjs';
import * as i0 from "@angular/core";
export declare class TabsComponent implements AfterViewInit {
    private changeDetectorRef;
    disabled: boolean;
    tabList: QueryList<TabComponent>;
    index$: BehaviorSubject<number>;
    tabList$: ReplaySubject<QueryList<TabComponent>>;
    listIsOpen$: BehaviorSubject<boolean>;
    private onChange;
    private onTouched;
    viewModel$: import("rxjs").Observable<{
        selected: TabComponent;
        index: number;
        tabList: any;
        listIsOpen: boolean;
    }>;
    underline: boolean;
    button: boolean;
    right: boolean;
    marginBottom: string;
    column: boolean;
    get defaultViewModel(): {
        index: number;
        tabList: any[];
        listIsOpen: boolean;
        selected: any;
    };
    constructor(changeDetectorRef: ChangeDetectorRef);
    ngAfterViewInit(): void;
    writeValue(selectedIndex: number): void;
    registerOnChange(onChange: any): void;
    onBlur(): void;
    registerOnTouched(onTouched: any): void;
    setDisabledState(disabled: boolean): void;
    selectTab(index: number): void;
    private setIndex;
    openList($event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TabsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TabsComponent, "wac-tabs", never, { "underline": "underline"; "button": "button"; "right": "right"; "marginBottom": "marginBottom"; "column": "column"; }, {}, ["tabList"], never, true, never>;
}
