import { ControlValueAccessor } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class TextAreaComponent implements ControlValueAccessor {
    label: string;
    value: string;
    placeholder: string;
    textInfo: string;
    textError: string;
    error: boolean;
    success: boolean;
    size: any;
    min: any;
    max: any;
    minHeight: string;
    dynamicSize: boolean;
    progressBar: boolean;
    disabled: boolean;
    maxlength: number | string;
    minlength: number | string;
    disableResize: boolean;
    id: string;
    private _onChange;
    private _onTouched;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState(isDisabled: boolean): void;
    writeValue(obj: any): void;
    onChange(value: any): void;
    onBlur(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TextAreaComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TextAreaComponent, "wac-text-area", never, { "label": "label"; "value": "value"; "placeholder": "placeholder"; "textInfo": "textInfo"; "textError": "textError"; "error": "error"; "success": "success"; "size": "size"; "min": "min"; "max": "max"; "minHeight": "minHeight"; "dynamicSize": "dynamicSize"; "progressBar": "progressBar"; "disabled": "disabled"; "maxlength": "maxlength"; "minlength": "minlength"; "disableResize": "disableResize"; }, {}, never, never, true, never>;
}
