import { ApplicationRef, ComponentFactoryResolver, ComponentRef, Injector } from '@angular/core';
import { ComponentType, OverlayContainer } from '@angular/cdk/overlay';
import { PortalInjector } from '@angular/cdk/portal';
import * as i0 from "@angular/core";
export declare class DomService {
    private componentFactoryResolver;
    private appRef;
    private injector;
    private overlayContainer;
    constructor(componentFactoryResolver: ComponentFactoryResolver, appRef: ApplicationRef, injector: Injector, overlayContainer: OverlayContainer);
    private documentEventSource;
    private documentEventDone;
    private eventInitialisation;
    private documentScrollSource;
    private documentScrollDone;
    documentEvent(): import("rxjs").Observable<unknown>;
    setDocumentEventListener(): void;
    documentScroll(): import("rxjs").Observable<unknown>;
    setScrollEventListener(): void;
    attachComponentPortal<T>(component: ComponentType<T>, injector?: PortalInjector): ComponentRef<T>;
    /** Gets the root HTMLElement for an instantiated component. */
    private _getComponentRootNode;
    static ɵfac: i0.ɵɵFactoryDeclaration<DomService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<DomService>;
}
